package com.mortals.xhx.module.window.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.common.code.FillStatusEnum;
import com.mortals.xhx.common.code.SelfLevelEnum;
import com.mortals.xhx.module.window.model.WindowPerformEntity;
import com.mortals.xhx.module.window.service.WindowPerformService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 大厅窗口考核登记信息
*
* @author zxfei
* @date 2024-01-17
*/
@RestController
@RequestMapping("window/perform")
public class WindowPerformController extends BaseCRUDJsonBodyMappingController<WindowPerformService,WindowPerformEntity,Long> {


    public WindowPerformController(){
        super.setModuleDesc( "大厅窗口考核登记信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "selfLevel", SelfLevelEnum.getEnumMap());
        this.addDict(model, "fillStatus", FillStatusEnum.getEnumMap());
        super.init(model, context);
    }


}